'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Menu = require('../Menu/Menu');

var _Menu2 = _interopRequireDefault(_Menu);

var _reactRouterDom = require('react-router-dom');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Login = function Login(_ref) {
	var isLoggedIn = _ref.isLoggedIn,
	    login = _ref.login,
	    area = _ref.area,
	    component = _ref.component;

	return isLoggedIn ? _react2.default.createElement(
		_Menu2.default,
		{ route: '/login' },
		_react2.default.createElement(_reactRouterDom.Redirect, { to: '/' })
	) : _react2.default.createElement(
		_Menu2.default,
		{ route: '/login', label: 'Login' },
		_react2.default.createElement(
			'button',
			{ onClick: login },
			' Log me in'
		)
	);
};

exports.default = Login;